# Get folder

Get folder details.

Returns: Folder details.

{% code overflow="wrap" %}

```shellscript
GET /api/v1/product/GetProduct/{folder}
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client Credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.

### Path parameters

| Key         | Value                               |
| ----------- | ----------------------------------- |
| `folder` \* | Folder associated with the request. |

### Query parameters

| Key                      | Value                                          |
| ------------------------ | ---------------------------------------------- |
| `noOfCalculationEngines` | Number of services to include in the response. |

### Sample response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "message": null,
    "data": {
        "id": "7165e556-e149-4b37-a545-c62c84b35b1a",
        "name": "Simple-Calculator",
        "category": "Other",
        "description": "CI-CD DEMO",
        "coverImagePath": "443630e8-bc2f-45a2-9a46-58433f1241a6.jpg",
        "createdAt": "2025-05-04T02:06:14.355639+00:00",
        "isStarred": false,
        "status": "Design",
        "startDate": "2024-09-28T00:00:00Z",
        "launchDate": "2024-12-28T00:00:00Z",
        "calculationEngines": {
            "count": 1,
            "next": "False",
            "previous": null,
            "message": null,
            "data": [
                {
                    "revision": "0.7.0",
                    "serviceName": "Formula",
                    "originalFileName": "Formula.xlsx",
                    "isStarred": false,
                    "serviceStatus": "active",
                    "versionId": "20827543-bdaf-44e1-bc7a-ac20a8431005",
                    "lastModifiedDate": "2025-05-04T02:06:22.656084Z",
                    "isLatestVersion": true,
                    "createdAt": "2025-05-04T02:06:22.656084Z",
                    "author": "service-account-client-credentials",
                    "size": "9",
                    "defaultEngineType": "neuron",
                    "tags": null,
                    "engineChains": [],
                    "effectiveStartDate": "2003-06-26T23:47:00Z",
                    "effectiveEndDate": "2003-07-26T23:47:00Z"
                }
            ],
            "errorCode": null,
            "status": "Success"
        },
        "sections": [],
        "lastModifiedDate": "2025-05-04T02:06:18.225895Z",
        "createdBy": "service-account-client-credentials"
    },
    "errorCode": null,
    "status": "Success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherent.global/spark-apis/folder-apis/get-folder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
